import  pygame
import  pygame.draw
from    pygame.locals import *

width  = 400
height = 300
w2     = width/2
h2     = height/2
largest= max(width, height)

flip = pygame.display.flip


WHITE = (255,255,255)
BLACK = (0,0,0)
RED   = (255,0,0)
GREEN = (0,255,0)
BLUE  = (0,0,255)


def help():
    print "Colours are WHITE,BLACK,RED,GREEN,BLUE"
    print
    print "clear()                             - clear display"
    print "circle(radius,width=0,colour=WHITE) - draw circle"
    print "rect(rectangle,width=1,colour=RED)  - draw rectangle"
    print "ellipse(r1,r2,width=0,colour=GREEN) - draw ellipse"

def clear():
    pygame.draw.rect(screen, (0,0,0), Rect(0,0,width,height), 0)
    flip()

def circle(radius, width=0, colour=WHITE):
    rc = pygame.draw.circle(screen, colour, (w2,h2), radius, width)
    flip()
    return rc

def rect(rect, width=1, colour=RED):
    pygame.draw.rect(screen, colour, rect, width)
    flip()

def ellipse(r1,r2,width=0,colour=GREEN):
    rect = (w2-r1,h2-r2,2*r1,2*r2)          # I'm just making this up!
    rc = pygame.draw.ellipse(screen,colour,rect,width)
    flip()
    return rc


pygame.init()
screen = pygame.display.set_mode((width, height),DOUBLEBUF)
help()

